## emacs-dape 0.19.0

=== debian/changelog ===
emacs-dape (0.19.0-1) unstable; urgency=medium

  * New upstream release
  * Override dh_installchangelogs to handle CHANGELOG.org as changelog
    - Drop CHANGELOG.org from d/docs as it is now handled by
      dh_installchangelogs.
    - Remove obsolete d/elpa-dape.lintian-overrides.
  * Disable xz compression in d/gbp.conf to be consistent with origtargz

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 24 Dec 2024 02:05:51 -0800

emacs-dape (0.18.0-1) unstable; urgency=medium

  * New upstream release

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 20 Dec 2024 01:46:13 -0800

emacs-dape (0.17.0-1) unstable; urgency=medium

  * New upstream release
  * Update comments in d/elpa-test to be more accurate
  * Drop Testsuite in d/control as tests are disable

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 08 Dec 2024 03:24:48 -0800

emacs-dape (0.13.0-1) unstable; urgency=medium

  * Initial Debianisation (Closes: #1074569)

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 02 Jul 2024 01:16:41 -0700

## emacs-dape 0.25.0

=== Makefile ===
export EMACS ?= $(shell which emacs)

JSONRPC = jsonrpc-1.0.25/jsonrpc.el

ELFILES = dape.el dape-tests.el
ELCFILES = $(addsuffix .elc, $(basename $(ELFILES)))

all: $(ELCFILES)

$(JSONRPC):
	@curl "https://elpa.gnu.org/packages/$(@D).tar" -o $(@D).tar
	@tar -xvf $(@D).tar
	@rm $(@D).tar

%.elc: %.el $(JSONRPC)
	@echo Compiling $<
	@${EMACS} -Q \
	          -batch \
                  -no-site-file \
                  -L . \
                  --eval="(package-install-file \"$(JSONRPC)\")" \
                  -f batch-byte-compile $<

check: $(JSONRPC) $(ELCFILES)
	@${EMACS} -Q \
		  -batch \
		  -l ert \
		  --eval="(package-install-file \"$(JSONRPC)\")" \
		  $(foreach file, $^, -l $(file)) \
		  -f ert-run-tests-batch-and-exit

clean:
	@rm -f *.elc
	@rm -fr $(dir $(JSONRPC))

## emacs-dape 0.21.0

=== debian/changelog ===
emacs-dape (0.21.0-1) unstable; urgency=medium

  * New upstream release
  * Update copyright years in d/copyright

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 11 Jan 2025 20:51:37 -0800

=== debian/control ===
Source: emacs-dape
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Xiyue Deng <manphiz@gmail.com>
Build-Depends: debhelper-compat (= 13),
 dh-elpa,
Standards-Version: 4.7.0
Homepage: https://github.com/svaante/dape
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-dape
Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-dape.git
Rules-Requires-Root: no

Package: elpa-dape
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs
Enhances:
 emacs,
 delve,
 gdb,
 python3-debugpy,
Description: Debug Adapter Protocol for Emacs
 Dape is a debug adapter client for Emacs.  The debug adapter
 protocol, much like its more well-known counterpart, the language
 server protocol, aims to establish a common API for programming
 tools.  However, instead of functionalities such as code
 completions, it provides a standardized interface for debuggers.
 .
 To begin a debugging session, invoke the `dape' command.  In the
 minibuffer prompt, enter a debug adapter configuration name from
 `dape-configs'.
 .
 For complete functionality, make sure to enable `eldoc-mode' in your
 source buffers and `repeat-mode' for more pleasant key mappings.
 .
 Package looks is heavily inspired by gdb-mi.el

=== debian/rules ===
#!/usr/bin/make -f

ELPA_NAME=dape

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo Skip upstream build rules

override_dh_auto_test:
	@echo Skip tests that require networking

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.org

## emacs-dape 0.22.0

=== debian/changelog ===
emacs-dape (0.22.0-1) unstable; urgency=medium

  * New upstream release
  * Depends on debhelper >= 13.24 for automatic CHANGELOG.org handling
    - Drop override_dh_installchangelogs in d/control; no longer needed
  * Add explicit dependency on elpa-jsonrpc >= 1.0.25 (Closes: #1094421)
    - dh-elpa doesn't handle version of Emacs built-in packages well yet.
  * Run 'wrap-and-sort -ast'

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 13 Feb 2025 00:31:13 -0800

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,11 @@
 Section: editors
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Xiyue Deng <manphiz@gmail.com>
-Build-Depends: debhelper-compat (= 13),
+Uploaders:
+ Xiyue Deng <manphiz@gmail.com>,
+Build-Depends:
+ debhelper (>= 13.24),
+ debhelper-compat (= 13),
  dh-elpa,
 Standards-Version: 4.7.0
 Homepage: https://github.com/svaante/dape
@@ -13,11 +16,15 @@
 
 Package: elpa-dape
 Architecture: all
-Depends: ${elpa:Depends}, ${misc:Depends}
-Recommends: emacs
+Depends:
+ elpa-jsonrpc (>= 1.0.25),
+ ${elpa:Depends},
+ ${misc:Depends},
+Recommends:
+ emacs,
 Enhances:
+ delve,
  emacs,
- delve,
  gdb,
  python3-debugpy,
 Description: Debug Adapter Protocol for Emacs

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,3 @@
 
 override_dh_auto_test:
 	@echo Skip tests that require networking
-
-override_dh_installchangelogs:
-	dh_installchangelogs -k CHANGELOG.org

## emacs-dape 0.23.0

=== debian/changelog ===
emacs-dape (0.23.0-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.7.2; no change needed
  * Replace dependency on elpa-jsonrpc with emacs >= 1:30.1+1
    - elpa-jsonrpc shipped with Emacs 30.1 has upgraded to 1.0.25
  * Enable Debian supported ERT tests
    - Add python-is-python3 and python3-debugpy with <!nocheck> to
      Build-Depends as required.
    - Skip tests requiring dapDebugServer.js, codelldb, rdbg, etc. which
      are not packaged in Debian.
  * Enable "Testsuite: autopkgtest-pkg-elpa" for faster migration

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 13 Mar 2025 03:17:41 -0700

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,19 @@
  debhelper (>= 13.24),
  debhelper-compat (= 13),
  dh-elpa,
-Standards-Version: 4.7.0
+ python-is-python3 <!nocheck>,
+ python3-debugpy <!nocheck>,
+Standards-Version: 4.7.2
 Homepage: https://github.com/svaante/dape
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-dape
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-dape.git
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-elpa
 
 Package: elpa-dape
 Architecture: all
 Depends:
- elpa-jsonrpc (>= 1.0.25),
+ emacs (>= 1:30.1+1),
  ${elpa:Depends},
  ${misc:Depends},
 Recommends:

## emacs-dape 0.24.0

=== debian/changelog ===
emacs-dape (0.24.0-1) unstable; urgency=medium

  * New upstream release
  * Drop emacs from Recommends; already in Depends

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 29 Apr 2025 22:31:13 -0700

## emacs-dape 0.24.1

=== debian/changelog ===
emacs-dape (0.24.1-1) unstable; urgency=medium

  * New upstream release

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 18 May 2025 20:05:00 -0700

=== debian/control ===
--- 
+++ 
@@ -23,8 +23,6 @@
  emacs (>= 1:30.1+1),
  ${elpa:Depends},
  ${misc:Depends},
-Recommends:
- emacs,
 Enhances:
  delve,
  emacs,

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/" \
    https://github.com/svaante/dape/tags \
    (?:.*?/)?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## emacs-dape 0.25.0

=== debian/changelog ===
emacs-dape (0.25.0-1) unstable; urgency=medium

  * New upstream release
  * Migrate d/watch to rfc822-style version 5 format
  * Drop `Rules-Requires-Root: no'
    - This is the default since dpkg 1.22.13

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 11 Oct 2025 20:48:19 -0700

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
 Homepage: https://github.com/svaante/dape
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-dape
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-dape.git
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 
 Package: elpa-dape

=== debian/rules ===
#!/usr/bin/make -f

ELPA_NAME=dape

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo Skip upstream build rules

=== debian/watch ===
Version: 5

Template: Github
Owner: svaante
Project: dape

## emacs-dape 0.26.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 export EMACS ?= $(shell which emacs)
 
-JSONRPC = jsonrpc-1.0.25/jsonrpc.el
+JSONRPC = jsonrpc-1.0.26/jsonrpc.el
 
 ELFILES = dape.el dape-tests.el
 ELCFILES = $(addsuffix .elc, $(basename $(ELFILES)))

=== debian/changelog ===
emacs-dape (0.26.0-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version 4.7.3; no change needed
  * Drop `Priority: optional'; now default
  * Update Debian copyright year in d/copyright

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 06 Feb 2026 17:27:26 -0800

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: emacs-dape
 Section: editors
-Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders:
  Xiyue Deng <manphiz@gmail.com>,
@@ -10,7 +9,7 @@
  dh-elpa,
  python-is-python3 <!nocheck>,
  python3-debugpy <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/svaante/dape
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-dape
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-dape.git
